Page MenuHomePhabricator

Spurious entry in globalimagelinks for File:France_demographie.png
Closed, ResolvedPublic

Description

[[commons:File:France_demographie.png]] incorrectly reports being used on mediawiki.org

The file has the following entries in globalimagelinks

MariaDB [commonswiki_p]> select * from globalimagelinks where gil_to = 'France_demographie.png';
+---------------+----------+-----------------------+--------------------+--------------------------+------------------------+

gil_wikigil_pagegil_page_namespace_idgil_page_namespacegil_page_titlegil_to

+---------------+----------+-----------------------+--------------------+--------------------------+------------------------+

eswiki11730FranciaFrance_demographie.png
frwiki43639732UtilisateurBenjism89/France/ArticleFrance_demographie.png
kowiki950690프랑스France_demographie.png
mediawikiwiki8150ΓαλλίαFrance_demographie.png
mgwiki6190FrantsaFrance_demographie.png
sqwiki530880Demografia_e_FrancësFrance_demographie.png
svwiki3769490Frankrikes_demografiFrance_demographie.png

+---------------+----------+-----------------------+--------------------+--------------------------+------------------------+
7 rows in set (0.00 sec)

However, the mediawikiwiki one is incorrect. Unclear how it got there (815 is the page id for the page on elwiki), however it cannot be removed except by manual database access, since there is no page on mediawiki.org with id of 815, so you can't convince MediaWiki to delete links from the page with page 815


Version: unspecified
Severity: normal
URL: https://commons.wikimedia.org/w/index.php?title=Commons:Village_pump&oldid=135968450#File_usage

Details

Reference
bz71559

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:56 AM
bzimport set Reference to bz71559.
bzimport added a subscriber: Unknown Object (MLST).
Bawolff created this task.Oct 2 2014, 4:44 PM
Nemo_bis closed this task as Resolved.Oct 16 2016, 9:30 AM
Nemo_bis claimed this task.
Nemo_bis added a subscriber: Nemo_bis.

Fixed/superseded in the meanwhile, it seems:

MariaDB [commonswiki_p]> select * from globalimagelinks where gil_to = 'France_demographie.png';
+----------+----------+-----------------------+--------------------+--------------------------+------------------------+
| gil_wiki | gil_page | gil_page_namespace_id | gil_page_namespace | gil_page_title           | gil_to                 |
+----------+----------+-----------------------+--------------------+--------------------------+------------------------+
| eswiki   |     1173 |                     0 |                    | Francia                  | France_demographie.png |
| frwiki   |  4363973 |                     2 | Utilisateur        | Benjism89/France/Article | France_demographie.png |
| kowiki   |    95069 |                     0 |                    | 프랑스                   | France_demographie.png |
| mgwiki   |      619 |                     0 |                    | Frantsa                  | France_demographie.png |
| sqwiki   |    53088 |                     0 |                    | Demografia_e_Francës     | France_demographie.png |
| svwiki   |   376949 |                     0 |                    | Frankrikes_demografi     | France_demographie.png |
+----------+----------+-----------------------+--------------------+--------------------------+------------------------+
6 rows in set (0.00 sec)
Restricted Application added a subscriber: revi. · View Herald TranscriptOct 16 2016, 9:30 AM